<script>
import setConfigs from '@gitlab/ui/dist/config';
import { programmingLanguages } from '../../constants';

setConfigs();

export default {
  name: 'PickLanguages',
  components: {},
  methods: {
    composeLanguageLink(languageId) {
      return `/rate-prompts/${languageId}`;
    },
  },
  languages: programmingLanguages,
  i18n: {
    title: 'Which programming languages are you comfortable evaluating?',
  },
};
</script>
<template>
  <main
    class="container gl-mt-7 gl-mb-4 gl-display-flex gl-flex-direction-column"
  >
    <h1 class="gl-text-center">{{ $options.i18n.title }}</h1>
    <div class="gl-display-grid gl-grid-template-columns-2 gl-gap-5">
      <nuxt-link
        v-for="language in $options.languages"
        :key="`${language.id}-button`"
        :to="composeLanguageLink(language.id)"
        class="gl-button gl-h-8"
      >
        <img
          class="gl-h-7 gl-w-7 gl-display-block"
          :src="require(`~/assets/logo-${language.id}.svg`)"
        />
        <div class="gl-w-3"></div>
        {{ language.name }}
      </nuxt-link>
    </div>
  </main>
</template>
